# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['statute_api',
 'statute_api.statute_identity',
 'statute_api.title_provision',
 'statute_api.title_provision.formula']

package_data = \
{'': ['*']}

install_requires = \
['arrow>=1.1.1,<2.0.0',
 'markdown2>=2.4.0,<3.0.0',
 'tree-helper-api>=0.1.1,<0.2.0',
 'types-PyYAML>=5.4.6,<6.0.0',
 'unit-api>=0.1.1,<0.2.0']

setup_kwargs = {
    'name': 'statute-api',
    'version': '0.7.5',
    'description': 'Pattern matching statutory law of the Philippines',
    'long_description': None,
    'author': 'Mars Veloso',
    'author_email': 'testmarcelino@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9.1,<4.0.0',
}


setup(**setup_kwargs)
