class Constitution:

    const_years = r"""
        \b
        (?P<const_year>
            1935\s*|
            1973\s*|
            1987\s*
        )?
        """

    country_label = r"""
        \b
        (
            (PHIL\.?\s*)|
            (Phil\.?\s*)
        )?
    """

    const_labels = r"""
        \b
        (?P<const_doc>
            (
                CONST(\.|ITUTION)?
            )|
            (
                Const(\.|itution)?
            )
        )
        \s*
        """

    formula = rf"""
        (
            ({const_years})?
            ({country_label})?
            {const_labels}
        )
        """
